import greenfoot.*;

/**
 * Park. Something for superbirds to fly in.
 * 
 * @author Michael Kölling
 * @version 1.0
 */
public class Park extends World
{
    private Counter scoreCounter;
    private int startBirds = 3;

    /**
     * Create the park and all objects within it.
     */
    public Park() 
    {
        super(600, 500, 1);
        // GreenfootImage background = getBackground();
        // background.setColor(Color.BLACK);
        // background.fill();

        Superbird superbird = new Superbird();
        addObject(superbird, getWidth()/2 + 100, getHeight()/2);

        addBirds(startBirds);

        // scoreCounter = new Counter("Score: ");
        // // addObject(scoreCounter, 60, 480);

        Explosion.initializeImages();
        ProtonWave.initializeImages();
        createStars(300);
        

    }

    /**
     * Add a given number of birds to our world. Birds are only added into
     * the left half of the world.
     */
    private void addBirds(int count) 
    {
        for(int i = 0; i < count; i++) 
        {
            int x = Greenfoot.getRandomNumber(getWidth()/2);
            int y = Greenfoot.getRandomNumber(getHeight()/2);
            addObject(new Bird(), x, y);
        }
    }

    /**
     * This method is called when the game is over to display the final score.
     */
    public void gameOver() 
    {
      // addObject(new ScoreBoard(999), getWidth()/2, getHeight()/2);  
    }

    /**
     *This method adds stars into the game
     */
    public void createStars(int number)
    {
        // GreenfootImage background = getBackground();             
        // for(int i=0; i < number; i++) 
        // {
            // int x = Greenfoot.getRandomNumber( getWidth() );
            // int y = Greenfoot.getRandomNumber( getHeight() );
             // int color = 120 - Greenfoot.getRandomNumber(100);
             // background.setColor(new Color(color,color,color));
            // background.fillOval(x, y, 2, 2);
        // }

    }
}